TIFFCLIENTINFO(3tiff)

NAME
TIFFClientInfo - provides a method to hand over user defined data from one routine to another

SYNOPSIS

#include <tiffio.h>

void *TIFFGetClientInfo(TIFF *tif, const char *name)

void TIFFSetClientInfo(TIFF *tif, void *data, const char *name)

DESCRIPTION

The clientinfo linked list provides a method to hand over user defined data from one routine to another via the internal tif storage of the libtiff library.

TIFFGetClientInfo() returns a pointer to the data of the named entry in the clientinfo-list. If the name is not found NULL is returned.

TIFFSetClientInfo() adds or replaces an entry in the clientinfo-list with the name and the pointer to the data provided by the caller.

DIAGNOSTICS

None.

SEE ALSO

libtiff (3tiff),

AUTHOR
LibTIFF contributors

COPYRIGHT
1988-2022, LibTIFF contributors